Skip to content

List Projects

client.V2Projects.List(ctx, query) (*PaginatedCursor[V2ProjectListResponse], error)
GET/api/v2/projects

List projects in an organization. Requires organization_id or a project-scoped API key.

ParametersExpand Collapse
query V2ProjectListParams
Name param.Field[string]Optional
OrganizationID param.Field[string]Optional
PageSize param.Field[int64]Optional
PageToken param.Field[string]Optional
ReturnsExpand Collapse
type V2ProjectListResponse struct{…}

API response schema for a project.

ID string

The project’s unique identifier.

Name string

The project’s display name.

OrganizationID string

The organization the project belongs to.

CreatedAt TimeOptional

Creation datetime

formatdate-time
IsDefault boolOptional

Whether this project is the default project for its organization.

UpdatedAt TimeOptional

Update datetime

formatdate-time

List Projects

package main

import (
  "context"
  "fmt"

  "github.com/run-llama/llama-parse-go"
  "github.com/run-llama/llama-parse-go/option"
)

func main() {
  client := llamacloud.NewClient(
    option.WithAPIKey("My API Key"),
  )
  page, err := client.V2Projects.List(context.TODO(), llamacloud.V2ProjectListParams{

  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "organization_id": "organization_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "is_default": true,
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "organization_id": "organization_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "is_default": true,
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/